com.sun.source.tree

## Interface AssertTree

All Superinterfaces:
  StatementTree, Tree

    public interface AssertTree
    extends StatementTree

A tree node for an 'assert' statement. For example:

       assert condition ;

       assert condition : detail ;

Since:
  1.6
See Also:
  "The Java Language Specification, 3rd ed, section 14.10"

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

Methods
`ExpressionTree` `getCondition()`
`ExpressionTree` `getDetail()`

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getCondition

    ExpressionTree getCondition()

#### getDetail

    ExpressionTree getDetail()

Copyright © 2005, 2017, Oracle and/or its affiliates. All rights reserved.